PKG(1)

NAME
pkg - a utility for manipulating packages

SYNOPSIS
pkg [-v] [-d] [-j <jail name or id> | -c <chroot path>] <command> <flags>

DESCRIPTION
provides an interface for manupulating packages - registering, adding, removing and upgrading of packages.

OPTIONS
The following options are supported by pkg:

-v  Displays the current version of pkg

-d  Show debug informations

-j <jail name or id>
    pkg will execute in the given <jail name or id> jail(8)

-c <chroot path>
    pkg will chroot in the <chroot path> Environment

COMMANDS
The following commands are supported by pkg:

help <command>
    Display usage information of the specified command.

add Install a package from either a local source or a remote one.

    When installing from remote source you need to specify the protocol to use when fetching the package.

    Currently supported protocols are FTP, HTTP and HTTPS.

audit
    < To be added >

autoremove
    Delete packages which were automatically installed as dependencies and are not required anymore.

backup
    Dump the local package database to a file specified on the command-line.

check
    < To be added >

clean
    < To be added >

create
    Create a package

delete
    Delete a package from the database and the system.

info
    Display information about installed packages.

install
    Install a package from a remote package repository. If a package is found in more than one remote repository, then installation happens from the first one. If a package fails to fetch from the remote repository, the next one in the list is tried, until the package is fetched.

query
    Query information about installed packages.

register
    Register a package in the database.

repo
    Create a package repository.

    < To be completed >

search
    Search for the given pattern in the remote package repositories.

update
    Update the available remote repositories as listed in pkg.conf(5).

updating
    < To be added >

upgrade
    Upgrade a package to a newer version.

version
    < To be added >

which
    Query the database for package(s) that installed a specific file.

ENVIRONMENT
The list of environment variables that affect the execution of pkg is in pkg.conf(5).

FILES
See pkg.conf(5).

SEE ALSO
pkg-autoremove(1), pkg-search(1), pkg-backup(1), pkg-install(1), pkg-delete(1), pkg-info(1), pkg-register(1), pkg-repo(1), pkg-update(1), pkg-upgrade(1), pkg-version(1), pkg-which(1), pkg.conf(5)

HISTORY
The pkg command first appeared in FreeBSD

AUTHORS AND CONTRIBUTORS
Baptiste Daroussin <bapt@FreeBSD.org> Julien Laffaye <jlaffaye@FreeBSD.org> Philippe Pepiot <phil@philpep.org> Will Andrews <will@FreeBSD.org> Marin Atanasov Nikolov <dnaeon@gmail.com>

BUGS
There might be some left.